Package org.apache.syncope.core.persistence.jpa.upgrade

# Class WiserSchemaTool

java.lang.Object
org.apache.openjpa.jdbc.schema.SchemaTool
org.apache.syncope.core.persistence.jpa.upgrade.WiserSchemaTool

public class WiserSchemaTool extends org.apache.openjpa.jdbc.schema.SchemaTool
Compared to the original `SchemaTool`, this class' methods keep consistent behavior when either `_writer` is null or not.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.openjpa.jdbc.schema.SchemaTool

`org.apache.openjpa.jdbc.schema.SchemaTool.Flags`

## Field Summary

### Fields inherited from class org.apache.openjpa.jdbc.schema.SchemaTool

`_conf, _dict, _ds, _fullDB, _loc, _log, _scriptToExecute, _sqlTerminator, ACTION_ADD, ACTION_BUILD, ACTION_CREATEDB, ACTION_DELETE_TABLE_CONTENTS, ACTION_DROP, ACTION_DROP_SCHEMA, ACTION_DROPDB, ACTION_EXECUTE_SCRIPT, ACTION_EXPORT, ACTION_IMPORT, ACTION_REFLECT, ACTION_REFRESH, ACTION_RETAIN, ACTIONS`

## Constructor Summary

Constructors
Constructor
Description
`WiserSchemaTool(org.apache.openjpa.jdbc.conf.JDBCConfiguration conf)`
`WiserSchemaTool(org.apache.openjpa.jdbc.conf.JDBCConfiguration conf, String action)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`add()`
`protected void`
`buildSchema(org.apache.openjpa.jdbc.schema.SchemaGroup db, org.apache.openjpa.jdbc.schema.SchemaGroup repos, boolean considerDatabaseState)`

### Methods inherited from class org.apache.openjpa.jdbc.schema.SchemaTool

`add, addColumn, addForeignKey, addPrimaryKey, assertSchemaGroup, build, clear, createDB, createIndex, createIndex, createSequence, createTable, deleteTableContents, drop, drop, dropColumn, dropDB, dropForeignKey, dropIndex, dropPrimaryKey, dropSchema, dropSequence, dropTable, dropTables, executeScript, executeSQL, findForeignKey, findIndex, getAction, getDBSchemaGroup, getDBSchemaGroup, getDropSequences, getDropTables, getForeignKeys, getIgnoreErrors, getIndexes, getOpenJPATables, getPrimaryKeys, getRollbackBeforeDDL, getSchemaGroup, getSequences, getWriter, handleException, isDroppable, isDroppable, main, record, refresh, retain, retain, run, run, run, setDBSchemaGroup, setDropSequences, setDropTables, setForeignKeys, setIgnoreErrors, setIndexes, setOpenJPATables, setPrimaryKeys, setRollbackBeforeDDL, setSchemaGroup, setScriptToExecute, setSequences, setSQLTerminator, setWriter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WiserSchemaTool

public WiserSchemaTool(org.apache.openjpa.jdbc.conf.JDBCConfiguration conf)

### WiserSchemaTool

public WiserSchemaTool(org.apache.openjpa.jdbc.conf.JDBCConfiguration conf, String action)

## Method Details

### add

protected void add() throws SQLException

Overrides:
  `add` in class `org.apache.openjpa.jdbc.schema.SchemaTool`
Throws:
  `SQLException`

### buildSchema

protected void buildSchema(org.apache.openjpa.jdbc.schema.SchemaGroup db, org.apache.openjpa.jdbc.schema.SchemaGroup repos, boolean considerDatabaseState) throws SQLException

Overrides:
  `buildSchema` in class `org.apache.openjpa.jdbc.schema.SchemaTool`
Throws:
  `SQLException`